org.osgi.util.converter

## Interface TargetRule

All Known Implementing Classes:
  Rule, TypeRule

    public interface TargetRule

Interface for custom conversion rules.

Author:
  $Id$

### Method Summary

All Methods Instance Methods Abstract Methods
`ConverterFunction` `getFunction()` The function to perform the conversion.
`Type` `getTargetType()` The target type of this rule.

### Method Detail

#### getFunction

    ConverterFunction getFunction()

The function to perform the conversion.

Returns:
  The function.

#### getTargetType

    Type getTargetType()

The target type of this rule. The conversion function is invoked for each conversion to the target type.

Returns:
  The target type.